#### Description:

This function creates a new UnitMap and optionally initialises its attributes.

A UnitMap is a unit (null) Mapping that has no effect on the coordinates supplied to it. They are simply copied. This can be useful if a Mapping is required (e.g. to pass to another function) but you do not want it to have any effect.

#### Synopsis

AstUnitMap ∗astUnitMap( int ncoord, const char ∗options, ... )

#### Parameters:

##### ncoord

The number of input and output coordinates (these numbers are necessarily the same).

##### options

Pointer to a null-terminated string containing an optional comma-separated list of attribute assignments to be used for initialising the new UnitMap. The syntax used is identical to that for the astSet function and may include `"` printf`"` format specifiers identified by `"` %`"` symbols in the normal way.

##### ...

If the `"` options`"` string contains `"` %`"` format specifiers, then an optional list of additional arguments may follow it in order to supply values to be substituted for these specifiers. The rules for supplying these are identical to those for the astSet function (and for the C `"` printf`"` function).

#### Returned Value

##### astUnitMap()

A pointer to the new UnitMap.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory